## com.sun.jersey.server.wadl
Class WadlGenerator.ExternalGrammarDefinition

    java.lang.Object
      com.sun.jersey.server.wadl.WadlGenerator.ExternalGrammarDefinition

Enclosing interface:
  WadlGenerator

    public static class WadlGenerator.ExternalGrammarDefinition

extends java.lang.Object

And internal storage object to store the grammar definitions and any type resolvers that are created along the way.

Field Summary
`java.util.Map<java.lang.String,ApplicationDescription.ExternalGrammar>` | `map`

Constructor Summary
`WadlGenerator.ExternalGrammarDefinition()`

Method Summary
`void` | `addResolver(WadlGenerator.Resolver resolver)`

`

`<T> T`

`

`resolve(java.lang.Class type, MediaType mt, java.lang.Class<T> resolvedType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public final java.util.Map<java.lang.String,ApplicationDescription.ExternalGrammar> map

Constructor Detail

### WadlGenerator.ExternalGrammarDefinition

    public WadlGenerator.ExternalGrammarDefinition()

Method Detail

### addResolver

    public void addResolver(WadlGenerator.Resolver resolver)

### resolve

    public <T> T resolve(java.lang.Class type,
                         MediaType mt,
                         java.lang.Class<T> resolvedType)

  Parameters:
    `type` - the class to map
  Returns:
    The resolved qualified name if one is defined.

Copyright © 2017 Oracle Corporation. All Rights Reserved.